WPG1Parser.cpp File Reference
`#include "WPG1Parser.h"`
`#include <array>`
`#include <cassert>`
`#include <utility>`
`#include <librevenge/librevenge.h>`
`#include <libwpg/libwpg.h>`
`#include "libwpg_utils.h"`

## Functions
static const std::array< libwpg::WPGDashArray, 16 > & | getLineStyles ()

## Variables
static const unsigned char | defaultWPG1PaletteRed []
static const unsigned char | defaultWPG1PaletteGreen []
static const unsigned char | defaultWPG1PaletteBlue []

## Function Documentation

## ◆ getLineStyles()

const std::array< libwpg::WPGDashArray, 16 > & getLineStyles | ( |  | ) |
| static

Referenced by getLineStyles(), and WPG1Parser::handleLineAttributes().

## Variable Documentation

## ◆ defaultWPG1PaletteBlue

const unsigned char defaultWPG1PaletteBlue[]
| static

Referenced by WPG1Parser::resetPalette().

## ◆ defaultWPG1PaletteGreen

const unsigned char defaultWPG1PaletteGreen[]
| static

Referenced by WPG1Parser::resetPalette().

## ◆ defaultWPG1PaletteRed

const unsigned char defaultWPG1PaletteRed[]
| static

Referenced by WPG1Parser::resetPalette().